classification
Title: patch to use cabinet.lib instead of fci.lib (fixes build with Windows SDK 8.0)
Type: Stage: resolved
Components: Build, Windows Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: loewis, mst, steve.dower, zach.ware
Priority: normal Keywords:

Created on 2014-04-15 15:33 by mst, last changed 2014-12-18 18:44 by steve.dower. This issue is now closed.

Messages (5)
msg216309 - (view) Author: Michael Stahl (mst) Date: 2014-04-15 15:33
building with MSVC2012 and the Windows SDK 8.0 fails

according to this page, the fci.lib is no longer available
and cabinet.lib should be used instead:

http://social.msdn.microsoft.com/Forums/en-US/vcgeneral/thread/3b85f36e-dffe-4589-adc3-13673b349812/

"For Windows 8 onward fci.lib and fdi.lib will become private internal libraries and will not included in Windows SDK"

here is a patch to do that:
http://cgit.freedesktop.org/libreoffice/core/tree/external/python3/python-3.3.0-msvc2012.patch.1

the author of the patch is Peter Foley.
msg231636 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-11-25 06:12
I've inadvertently picked this up with my changes for #22919, so it'll get into 3.5 that way.

Do we need to apply this to 3.4 as well? What about 2.7?
msg231639 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-11-25 06:20
Definitely not 2.7, since it's still on VS2008 and would require so many changes for this to matter that it's just not an issue; I'm not sure on 3.4.  Is cabinet.lib available (and have everything we need) for MSVC10 and SDK 7.1 (which are the important targets for 3.4)?
msg231875 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-11-30 01:29
AFAICT, cabinet.lib has been around since at least VS 2008, so 3.4 will be fine. But since it builds currently there's no point changing it. I'll just let my changes handle it for 3.5 and leave the older versions alone.
msg232898 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-12-18 18:44
This was fixed with #22919.
History
Date User Action Args
2014-12-18 18:44:07steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg232898

stage: resolved
2014-11-30 01:29:07steve.dowersetmessages: + msg231875
2014-11-25 06:20:41zach.waresetmessages: + msg231639
versions: + Python 3.5, - Python 3.3
2014-11-25 06:12:00steve.dowersetassignee: steve.dower

messages: + msg231636
nosy: + steve.dower
2014-04-15 18:36:33ned.deilysetnosy: + loewis, zach.ware
type: compile error ->
components: + Build
2014-04-15 15:33:35mstcreate